# Cocos2d
from cocos.director import director
from cocos.layer import Layer, ColorLayer
from cocos.scene import Scene
from cocos.text import Label

from pyglet import clock

import logging
log = logging.getLogger('GameOver')

from audio import AudioPlayer
from imagelayer import ImageLayer

class GameOver(Layer):
    def __init__(self, win, score):
        super(GameOver, self).__init__()
        self.win = win
        self.score = score
        
        self.add(ColorLayer(100,100,100,200))
        
        winText = None 
        if (win):
            winText = Label("FTW! Good Job!",font_name= "M01_CPS", font_size=20, color=(10,255,10,255))
            self.add(ImageLayer("winscreen.png"))
            AudioPlayer[0].PlaySound("youwin.ogg")  
        else:
            winText = Label("YOU ARE LOSE",font_name= "M01_CPS", font_size=20, color=(255,10,10,255))
            self.add(ImageLayer("losescreen.png"))
            AudioPlayer[0].PlaySound("youlose.ogg")
          
            
        winText.x = 300
        winText.y = 400
        
        self.add(winText)
        
        scoreText = Label("Score: "+str(score),font_name= "M01_CPS", font_size=20, color=(255,255,255,255))
        scoreText.x = 300
        scoreText.y = 300
        self.add(scoreText)
        
        clock.schedule_once(self.NextScreen, 5)
        
    def NextScreen(self,dt):
        if (not self.win):
            self.score = 0
            director.pop()
            
        director.return_value = self.score
        director.scene.end(self.score)
                

        
 
